<div fxLayoutAlign="center" [@routeAnimation]>
  <div class="flex-container" fxLayoutAlign="center" fxFlex="100%" fxLayout='row wrap'>
<div class="w-100 section-dark section-padding" fxLayoutAlign="center">
      <div class="flex-container" fxFlex="95%"  fxFlex.xs="95%" fxFlex.sm="570px" fxFlex.sd="738px" fxFlex.md="930px" fxFlex.lg="1200px" fxFlex.xl="1536px">
  <div id="title-box" class="py-2" fxFlex="95%"  fxFlex.xs="95%" fxFlex.sm="570px" fxFlex.sd="738px" fxFlex.md="930px" fxFlex.lg="1200px" fxFlex.xl="1536px">
      <h1 class="mt-4 max-width-special">All possible silo page widgets</h1>
      <p class="max-width-special subtitle mb-3">What are language tools? Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
  </div>
  </div>
</div>

<div class="w-100 section-dark pb-4" fxLayoutAlign="center">
  <div class="flex-container" fxFlex="95%"  fxFlex.xs="95%" fxFlex.sm="570px" fxFlex.sd="738px" fxFlex.md="930px" fxFlex.lg="1200px" fxFlex.xl="1536px">
  <div  class="row ">
    <div class="col-md-12">
      <app-search-component></app-search-component>
    </div>
  </div>
  </div>
</div>

<div class="flex-container" fxFlex="95%"  fxFlex.xs="95%" fxFlex.sm="570px" fxFlex.sd="738px" fxFlex.md="930px" fxFlex.lg="1200px" fxFlex.xl="1536px">
<div class="min-height">

<section class="top-box pt-5 widget-top-categories">
  <div  class="row">
    <div class="col-md-12">
      <h2>Top categories</h2>
    </div>


    <ng-container *ngFor="let category of topCategories ; let i = index;">
      <div *ngIf="i < 12 || showAllCategories" class="col-md-3">
        <a class="top-category" href="">{{ category.key }} ({{ category.doc_count}})</a>
      </div>
    </ng-container>

    <div class="col-md-12 mt-3">
      <a *ngIf="!showAllCategories" href="" (click)="toggleShowAllCategories($event)">Show all</a>
      <a *ngIf="showAllCategories" href="" (click)="toggleShowAllCategories($event)">Show less</a>
    </div>
  </div>
</section>




<section class="top-box widget-recently-updated">
  <div  class="row">
    <div class="col-md-12">
      <h2>Recently updated</h2>
    </div>

    <ng-container *ngFor="let recent of recentlyUpdatedTech ; let j = index;">
      <div *ngIf="j < 4 || showAllRecents" class="item-box col-md-5" [class.offset-md-1]="j  % 2 !== 0">
        <a class="item-box__type" href="">{{ recent.resource_type }}</a>
        <h3 class="item-box__title">{{ recent.resource_name }}</h3>
        <p class="item-box__description">{{ recent.description }}</p>
        <div class="item-box__seen-updated">
          <span class="item-box__seen"><i><svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
            <g clip-path="url(#clip0)">
            <path d="M8.00001 14C12.707 14 15.744 8.716 15.871 8.492C16.042 8.188 16.043 7.816 15.872 7.512C15.746 7.287 12.731 2 8.00001 2C3.24501 2 0.251005 7.289 0.126005 7.514C-0.0429946 7.817 -0.0419946 8.186 0.128005 8.489C0.254005 8.713 3.26901 14 8.00001 14ZM8.00001 4C10.839 4 13.036 6.835 13.818 8C13.034 9.166 10.837 12 8.00001 12C5.15901 12 2.96201 9.162 2.18101 7.999C2.95801 6.835 5.14601 4 8.00001 4Z" fill="#546E7A"/>
            <path d="M8 10C9.10457 10 10 9.10457 10 8C10 6.89543 9.10457 6 8 6C6.89543 6 6 6.89543 6 8C6 9.10457 6.89543 10 8 10Z" fill="#546E7A"/>
            </g>
            <defs>
            <clipPath id="clip0">
            <path d="M0 0H16V16H0V0Z" fill="white"/>
            </clipPath>
            </defs>
            </svg>
            </i> {{ recent.views }}</span>
          <span class="item-box__updated">updated {{ recent.last_date_updated | date:'d.M.y' }}</span>
        </div>
      </div>
    </ng-container>

    <div class="col-md-12 mt-2">
      <a *ngIf="!showAllRecents" href="" (click)="toggleShowAllRecent($event)">Show more</a>
      <a *ngIf="showAllRecents" href="" (click)="toggleShowAllRecent($event)">Show less</a>
    </div>
  </div>
</section>



<section class="top-box widget-most-popular">
  <div  class="row">
    <div class="col-md-12">
      <h2>Most popular</h2>
    </div>

    <ng-container *ngFor="let popular of mostPopularTech ; let j = index;">
      <div *ngIf="j < 4 || showAllPopulars" class="item-box col-md-5" [class.offset-md-1]="j  % 2 !== 0">
        <a class="item-box__type" href="">{{ popular.resource_type }}</a>
        <h3 class="item-box__title">{{ popular.resource_name }}</h3>
        <p class="item-box__description">{{ popular.description }}</p>
        <div class="item-box__seen-updated">
          <span class="item-box__seen"><i><svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
            <g clip-path="url(#clip0)">
            <path d="M8.00001 14C12.707 14 15.744 8.716 15.871 8.492C16.042 8.188 16.043 7.816 15.872 7.512C15.746 7.287 12.731 2 8.00001 2C3.24501 2 0.251005 7.289 0.126005 7.514C-0.0429946 7.817 -0.0419946 8.186 0.128005 8.489C0.254005 8.713 3.26901 14 8.00001 14ZM8.00001 4C10.839 4 13.036 6.835 13.818 8C13.034 9.166 10.837 12 8.00001 12C5.15901 12 2.96201 9.162 2.18101 7.999C2.95801 6.835 5.14601 4 8.00001 4Z" fill="#546E7A"/>
            <path d="M8 10C9.10457 10 10 9.10457 10 8C10 6.89543 9.10457 6 8 6C6.89543 6 6 6.89543 6 8C6 9.10457 6.89543 10 8 10Z" fill="#546E7A"/>
            </g>
            <defs>
            <clipPath id="clip0">
            <path d="M0 0H16V16H0V0Z" fill="white"/>
            </clipPath>
            </defs>
            </svg>
            </i> {{ popular.views }}</span>
          <span class="item-box__updated">updated {{ popular.last_date_updated | date:'d.M.y' }}</span>
        </div>
      </div>
    </ng-container>

    <div class="col-md-12 mt-2">
      <a *ngIf="!showAllPopulars" href="" (click)="toggleShowAllPopular($event)">Show more</a>
      <a *ngIf="showAllPopulars" href="" (click)="toggleShowAllPopular($event)">Show less</a>
    </div>
  </div>
</section>


<section class="top-box widget-latest-added">
  <div  class="row">
    <div class="col-md-12">
      <h2>Latest added</h2>
    </div>

    <ng-container *ngFor="let item of latestAddedTech ; let j = index;">
      <div *ngIf="j < 4 || showAllLatestAdded" class="item-box col-md-5" [class.offset-md-1]="j  % 2 !== 0">
        <a class="item-box__type" href="">{{ item.resource_type }}</a>
        <h3 class="item-box__title">{{ item.resource_name }}</h3>
        <p class="item-box__description">{{ item.description }}</p>
        <div class="item-box__seen-updated">
          <span class="item-box__seen"><i><svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
            <g clip-path="url(#clip0)">
            <path d="M8.00001 14C12.707 14 15.744 8.716 15.871 8.492C16.042 8.188 16.043 7.816 15.872 7.512C15.746 7.287 12.731 2 8.00001 2C3.24501 2 0.251005 7.289 0.126005 7.514C-0.0429946 7.817 -0.0419946 8.186 0.128005 8.489C0.254005 8.713 3.26901 14 8.00001 14ZM8.00001 4C10.839 4 13.036 6.835 13.818 8C13.034 9.166 10.837 12 8.00001 12C5.15901 12 2.96201 9.162 2.18101 7.999C2.95801 6.835 5.14601 4 8.00001 4Z" fill="#546E7A"/>
            <path d="M8 10C9.10457 10 10 9.10457 10 8C10 6.89543 9.10457 6 8 6C6.89543 6 6 6.89543 6 8C6 9.10457 6.89543 10 8 10Z" fill="#546E7A"/>
            </g>
            <defs>
            <clipPath id="clip0">
            <path d="M0 0H16V16H0V0Z" fill="white"/>
            </clipPath>
            </defs>
            </svg>
            </i> {{ item.views }}</span>
          <span class="item-box__updated">added {{ item.last_date_updated | date:'d.M.y' }}</span>
        </div>
      </div>
    </ng-container>

    <div class="col-md-12 mt-2">
      <a *ngIf="!showAllLatestAdded" href="" (click)="toggleShowAllLatestAdded($event)">Show more</a>
      <a *ngIf="showAllLatestAdded" href="" (click)="toggleShowAllLatestAdded($event)">Show less</a>
    </div>
  </div>
</section>

</div>
</div>
</div>
</div>